com.sun.grid.jgdi.configuration

## Class ResourceQuotaRuleFilterImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.ResourceQuotaRuleFilterImpl

- All Implemented Interfaces:
    GEObject, ResourceQuotaRuleFilter, java.io.Serializable, java.lang.Cloneable

      public class ResourceQuotaRuleFilterImpl
      extends GEObjectImpl
      implements ResourceQuotaRuleFilter

  Java representation of the cull object RQRF_Type defined in sge_all_listsL.template

  Warning: The ResourceQuotaRuleFilterImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceQuotaRuleFilterImpl()` Create a new instance of ResourceQuotaRuleFilterImpl.
    `ResourceQuotaRuleFilterImpl(boolean initWithDefaultValues)` Create a new instanceof

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addScope(java.lang.String ascope)` Add a java.lang.String attribute.
    `void` | `addXscope(java.lang.String axscope)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getScope(int index)` Get a java.lang.String attribute at an index.
    `int` | `getScopeCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getScopeList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getXscope(int index)` Get a java.lang.String attribute at an index.
    `int` | `getXscopeCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getXscopeList()` Get a unmodifiable list of all java.lang.String attributes.
    `boolean` | `isExpand()` Get the value of the expand attribute.
    `boolean` | `isSetExpand()` Determine if the expand attribute is set
    `boolean` | `isSetScope()` Determine if the scope attribute is set
    `boolean` | `isSetXscope()` Determine if the xscope attribute is set
    `void` | `removeAllScope()` Remove all java.lang.String attributes.
    `void` | `removeAllXscope()` Remove all java.lang.String attributes.
    `java.lang.String` | `removeScope(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeScope(java.lang.String ascope)` Remote a specific java.lang.String attribute.
    `java.lang.String` | `removeXscope(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeXscope(java.lang.String axscope)` Remote a specific java.lang.String attribute.
    `void` | `setExpand(boolean aExpand)` Set the expand attribute.
    `void` | `setScope(int index, java.lang.String ascope)` Set a java.lang.String attribute.
    `void` | `setXscope(int index, java.lang.String axscope)` Set a java.lang.String attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getName, getParent, getPathName, getRoot, setName, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getName, getParent`

- - ### Constructor Detail

    - #### ResourceQuotaRuleFilterImpl

          public ResourceQuotaRuleFilterImpl()

      Create a new instance of ResourceQuotaRuleFilterImpl. The new instance will not be initialized with the default values.

    - #### ResourceQuotaRuleFilterImpl

          public ResourceQuotaRuleFilterImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

  - ### Method Detail

    - #### isSetExpand

          public boolean isSetExpand()

      Determine if the expand attribute is set
      Specified by:
        `isSetExpand` in interface `ResourceQuotaRuleFilter`
      Returns:
        `true` if the expand attribute is set

    - #### setExpand

          public void setExpand(boolean aExpand)

      Set the expand attribute.
      Specified by:
        `setExpand` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `aExpand` - the new value for the expand attribute

    - #### isExpand

          public boolean isExpand()

      Get the value of the expand attribute.
      Specified by:
        `isExpand` in interface `ResourceQuotaRuleFilter`
      Returns:
        the value of the expand attribute

    - #### addScope

          public void addScope(java.lang.String ascope)

      Add a java.lang.String attribute.
      Specified by:
        `addScope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `ascope` - the new java.lang.String attribute

    - #### setScope

          public void setScope(int index,
                               java.lang.String ascope)

      Set a java.lang.String attribute.
      Specified by:
        `setScope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `index` - index of the java.lang.String attribute
        `ascope` - the new java.lang.String attribute

    - #### removeAllScope

          public void removeAllScope()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllScope` in interface `ResourceQuotaRuleFilter`

    - #### removeScope

          public java.lang.String removeScope(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeScope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeScope

          public boolean removeScope(java.lang.String ascope)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeScope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `ascope` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getScopeList

          public java.util.List<java.lang.String> getScopeList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getScopeList` in interface `ResourceQuotaRuleFilter`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getScopeCount

          public int getScopeCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getScopeCount` in interface `ResourceQuotaRuleFilter`
      Returns:
        The number of java.lang.String attributes.

    - #### getScope

          public java.lang.String getScope(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getScope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetScope

          public boolean isSetScope()

      Determine if the scope attribute is set
      Specified by:
        `isSetScope` in interface `ResourceQuotaRuleFilter`
      Returns:
        `true` if the scope attribute is set

    - #### addXscope

          public void addXscope(java.lang.String axscope)

      Add a java.lang.String attribute.
      Specified by:
        `addXscope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `axscope` - the new java.lang.String attribute

    - #### setXscope

          public void setXscope(int index,
                                java.lang.String axscope)

      Set a java.lang.String attribute.
      Specified by:
        `setXscope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `index` - index of the java.lang.String attribute
        `axscope` - the new java.lang.String attribute

    - #### removeAllXscope

          public void removeAllXscope()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllXscope` in interface `ResourceQuotaRuleFilter`

    - #### removeXscope

          public java.lang.String removeXscope(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeXscope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeXscope

          public boolean removeXscope(java.lang.String axscope)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeXscope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `axscope` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getXscopeList

          public java.util.List<java.lang.String> getXscopeList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getXscopeList` in interface `ResourceQuotaRuleFilter`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getXscopeCount

          public int getXscopeCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getXscopeCount` in interface `ResourceQuotaRuleFilter`
      Returns:
        The number of java.lang.String attributes.

    - #### getXscope

          public java.lang.String getXscope(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getXscope` in interface `ResourceQuotaRuleFilter`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetXscope

          public boolean isSetXscope()

      Determine if the xscope attribute is set
      Specified by:
        `isSetXscope` in interface `ResourceQuotaRuleFilter`
      Returns:
        `true` if the xscope attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `ResourceQuotaRuleFilter`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.